var $module = jQuery("#customfield-tabs");
$module.children("div[id^=customfield-panel]").each(function() {
  var $this = jQuery(this);
  if ($this.find("li[id^=rowFor]").length < 1) {
    // no fields left on this tab
    var uid = $this.attr("id");
    jQuery("a[href=#"+uid+"]").parent().remove(); // remove tab menu item
    $this.remove(); // remove tab's pane
  }
});

var $tabs = $module.children("ul.tabs-menu");
var tabsCount = $tabs.children("li").length;
if (tabsCount < 2) {
    // remove tab menu at all if there are one or no tabs left
    $tabs.remove();
} else {
    // make first tab menu item active
    $tabs.children("li:first").addClass("active-tab");
}
if (tabsCount > 0) {
    // make first tab's pane active and visible
    $module.find("div[id^=customfield-panel]:first").addClass("active-pane");
}
